#ifndef APP_BUS_IDLE_DETECTION_H_
#define APP_BUS_IDLE_DETECTION_H_

#include "uart_dev.h"

#include "FreeRTOS.h"
#include "event_groups.h"



#ifdef RS485BUSIDLE1
void softwareTimeInit(void);

void J1_485_IN_IDLE(void);
void J2_485_IN_IDLE(void);
void J3_485_IN_IDLE(void);
void J4_485_IN_IDLE(void);
void J5_0_485_IN_IDLE(void);

void J1_485_IN_RXNE(void);
void J2_485_IN_RXNE(void);
void J3_485_IN_RXNE(void);
void J4_485_IN_RXNE(void);
void J5_0_485_IN_RXNE(void);
#endif

uint8_t getRs485State(device_handle device);
uint8_t getUartState(device_handle device);


#endif
